﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WebTab.aspx.cs" Inherits="WebTab" %>

<%@ Register Assembly="Infragistics45.Web.v13.2, Version=13.2.20132.2007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .height100
        {
            height: 100%;
        }
    </style>
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            $("#actionBtn").on("click", function () {
                $("#table tr:visible:last").hide();
            })

            $("tr:even").css("background-color", "#bbbbff");
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebTab ID="WebTab1" runat="server" Width="300px" Height="">
                <Tabs>
                    <ig:ContentTabItem runat="server" Text="Tab 1">
                        <Template>
                            <input id="actionBtn" type="button" value="Hide" />
                            <table id="table" style="width: 100%;">
                                <tr>
                                    <td style="width: 25%">1</td>
                                    <td style="width: 25%">2</td>
                                    <td style="width: 25%">3</td>
                                    <td style="width: 25%">4</td>
                                </tr>
                                <tr>
                                    <td style="width: 25%">1</td>
                                    <td style="width: 25%">2</td>
                                    <td style="width: 25%">3</td>
                                    <td style="width: 25%">4</td>
                                </tr>
                                <tr>
                                    <td style="width: 25%">1</td>
                                    <td style="width: 25%">2</td>
                                    <td style="width: 25%">3</td>
                                    <td style="width: 25%">4</td>
                                </tr>
                                <tr>
                                    <td style="width: 25%">1</td>
                                    <td style="width: 25%">2</td>
                                    <td style="width: 25%">3</td>
                                    <td style="width: 25%">4</td>
                                </tr>
                                <tr>
                                    <td style="width: 25%">1</td>
                                    <td style="width: 25%">2</td>
                                    <td style="width: 25%">3</td>
                                    <td style="width: 25%">4</td>
                                </tr>
                                <tr>
                                    <td style="width: 25%">1</td>
                                    <td style="width: 25%">2</td>
                                    <td style="width: 25%">3</td>
                                    <td style="width: 25%">4</td>
                                </tr>
                            </table>
                        </Template>
                    </ig:ContentTabItem>
                    <ig:ContentTabItem runat="server" Text="Tab 2"></ig:ContentTabItem>
                </Tabs>
            </ig:WebTab>
        </div>
    </form>
</body>
</html>
